package cn.feast.coding.model.generator;

import cn.feast.coding.model.Common;

/**
 * Created By FeastCoding.
 */
public class ModuleProject extends Common {
    private Integer id;
    private Integer moduleId;
    private Integer projectId;
    private Integer tableId;
    private Module module;
    private Project project;
    private Table table;
    private String moduleParam1;
    private String moduleParam1Page;
    private String moduleParam1Type;
    private String moduleParam1Field;
    private String moduleParam2;
    private String moduleParam2Page;
    private String moduleParam2Type;
    private String moduleParam2Field;
    private String moduleParam3;
    private String moduleParam3Page;
    private String moduleParam3Type;
    private String moduleParam3Field;
    private String moduleUrl;

    //兼容ssh表单name不一致问题
    public void frameAdapter(String frame){
        if(frame.equals(SSH_FRAME)){
            if(null != moduleParam1)
                this.moduleParam1Page = classNameToFiledName(table.getClassName()) + "." + moduleParam1;
            if(null != moduleParam2)
                this.moduleParam2Page = classNameToFiledName(table.getClassName()) + "." + moduleParam2;
            if(null != moduleParam3)
                this.moduleParam3Page = classNameToFiledName(table.getClassName()) + "." + moduleParam3;
        }else{
            if(null != moduleParam1)
                this.moduleParam1Page = moduleParam1;
            if(null != moduleParam2)
                this.moduleParam2Page = moduleParam2;
            if(null != moduleParam3)
                this.moduleParam3Page = moduleParam3;
        }
    }

    public String getModuleParam1() {
        return moduleParam1;
    }

    public void setModuleParam1(String moduleParam1) {
        this.moduleParam1 = moduleParam1;
    }

    public String getModuleParam1Type() {
        return moduleParam1Type;
    }

    public void setModuleParam1Type(String moduleParam1Type) {
        this.moduleParam1Type = moduleParam1Type;
    }

    public String getModuleParam1Field() {
        return moduleParam1Field;
    }

    public void setModuleParam1Field(String moduleParam1Field) {
        this.moduleParam1Field = moduleParam1Field;
    }

    public String getModuleParam2() {
        return moduleParam2;
    }

    public void setModuleParam2(String moduleParam2) {
        this.moduleParam2 = moduleParam2;
    }

    public String getModuleParam2Type() {
        return moduleParam2Type;
    }

    public void setModuleParam2Type(String moduleParam2Type) {
        this.moduleParam2Type = moduleParam2Type;
    }

    public String getModuleParam2Field() {
        return moduleParam2Field;
    }

    public void setModuleParam2Field(String moduleParam2Field) {
        this.moduleParam2Field = moduleParam2Field;
    }

    public String getModuleParam3() {
        return moduleParam3;
    }

    public void setModuleParam3(String moduleParam3) {
        this.moduleParam3 = moduleParam3;
    }

    public String getModuleParam3Type() {
        return moduleParam3Type;
    }

    public void setModuleParam3Type(String moduleParam3Type) {
        this.moduleParam3Type = moduleParam3Type;
    }

    public String getModuleParam3Field() {
        return moduleParam3Field;
    }

    public void setModuleParam3Field(String moduleParam3Field) {
        this.moduleParam3Field = moduleParam3Field;
    }

    public Module getModule() {
        return module;
    }

    public void setModule(Module module) {
        this.module = module;
    }

    public Project getProject() {
        return project;
    }

    public void setProject(Project project) {
        this.project = project;
    }

    public Table getTable() {
        return table;
    }

    public void setTable(Table table) {
        this.table = table;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getModuleId() {
        return moduleId;
    }

    public void setModuleId(Integer moduleId) {
        this.moduleId = moduleId;
    }

    public Integer getProjectId() {
        return projectId;
    }

    public void setProjectId(Integer projectId) {
        this.projectId = projectId;
    }

    public Integer getTableId() {
        return tableId;
    }

    public void setTableId(Integer tableId) {
        this.tableId = tableId;
    }

    public String getModuleParam1Page() {
        return moduleParam1Page;
    }

    public void setModuleParam1Page(String moduleParam1Page) {
        this.moduleParam1Page = moduleParam1Page;
    }

    public String getModuleParam2Page() {
        return moduleParam2Page;
    }

    public void setModuleParam2Page(String moduleParam2Page) {
        this.moduleParam2Page = moduleParam2Page;
    }

    public String getModuleParam3Page() {
        return moduleParam3Page;
    }

    public void setModuleParam3Page(String moduleParam3Page) {
        this.moduleParam3Page = moduleParam3Page;
    }

    public String getModuleUrl() {
        return moduleUrl;
    }

    public void setModuleUrl(String moduleUrl) {
        this.moduleUrl = moduleUrl;
    }
}
